@font-face {
    font-family: 'lekton-bold';
    src: url('../font/lekton-bold.woff2') format('woff2'),
         url('../font/lekton-bold.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'lekton-regular';
    src: url('../font/lekton-regular.woff2') format('woff2'),
         url('../font/lekton-regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'lekton-italic';
    src: url('../font/lekton-italic.woff2') format('woff2'),
         url('../font/lekton-italic.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'staatliches';
    src: url('../font/staatliches.woff2') format('woff2'),
         url('../font/staatliches.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

:root{
    --blanc:  #fff;
    --noir:  #000;
    --jaune:  #ffde4a;
    --rouge:  #f2422a;
    --violet:  #583ba3;
    --violetclair: #dad1e7;
}

::selection {
    background: var(--jaune);
    color: inherit;
}

*{
    margin:0;
    padding:0;
    cursor: url(../img/cursor.png?rld), auto;
}

body {
    width: 100vw;
    min-height: 100dvh;
    overflow: hidden;
    color: #444;
    background-color: var(--violetclair);
    font-family: 'lekton-regular', monospace;
}


a {
    text-decoration: none;
}

.details a, .infosPratiques a {
    font-family: 'lekton-bold', monospace;
    color: var(--noir);
    border-bottom: 1px dashed var(--noir);
}

.details a:hover,  .infosPratiques a:hover {
    color: var(--rouge);
    border-bottom: 1px dashed var(--rouge);
}




b {
    font-family: 'lekton-bold';
}
i {
    font-family: 'lekton-italic';
}
p {
    font-family: 'lekton-regular';
    margin: 10px 0;
}

.rouge {
    color: var(--rouge);
    text-transform: uppercase;
}


#logo {
    width: 90%;
    height: 200px;
    margin: 0 auto;
    background-image: url(../img/logo.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
}

h3 {
    font-size: 14px;
    letter-spacing: 0.5em;
    color: var(--rouge);
    text-transform: uppercase;
}



.infosPratiques, .details {
    font-size: 12px;
    text-align: left;
    list-style: none;
}

.details li {
    margin: 5px 0;
}
.pictoLieu, .texteInfos {
    display: inline-block;
    vertical-align: middle;
}

.pictoLieu {
    background: url(../img/picto-lieu.svg) no-repeat center / contain;
    width: 10px;
    height: 15px;
}

.popup img {
    width: 100%;
    margin-bottom: 10px;
    /*
    border-radius: 25px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    border: 1px solid #ddd;
    */
}

#map {
    position: fixed;
    z-index: -2;
    width: 100%;
    height: 100dvh;
    background: #dad1e7 url(../img/map.svg) no-repeat center / cover;
}

#top {
    position: absolute;
    z-index: 1;
    top:0;
    left: 0;
    width: 100%;
    height:calc(10dvh + 5vw);
    max-height: 147px;
    background-image: url(../img/top.svg);
    background-size: 1000px;
    background-position: bottom left;
    background-repeat: repeat-x;
}
#bottom {
    position: absolute;
    z-index: 80;
    bottom:0;
    left: 0;
    width: 100%;
    max-height: 220px;
    height: 40dvh;
    background-image: url(../img/bottom.svg);
    background-size: 1000px;
    background-repeat:repeat-x;
    background-position: top center;
}

.music {
    transition: 0.2s;
    position: absolute;
    z-index: 6;
    width: 50px;
    height: 50px;

}

#presentation {
    transition: 0.1s;
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 99;
    overflow: hidden;
    background-color: white;
    border-radius: 30px;
    text-align: left;
    width: 50px;
    height: 34px;
    padding-top: 16px;
    background-image: url(../img/questionmark.svg);
    background-size: 18px;
    background-position: right 16px center;
    color: var(--rouge);
    background-repeat: no-repeat;
    border: 2px solid #fdfaf2;
    background-color: #fdfaf2;
    color: white;
}
#presentation:hover {
    transition: 0.1s;
    width: 200px;
    background-color: var(--rouge);
    border: 2px solid var(--rouge);
}
#presentation:hover p {
    transition: 0.11s;
    font-size: 16px;
    opacity: 1;
    margin: 0 0 0 25px;
    font-family: 'lekton-bold';
}
    #presentation p {
        transition: 0.1s;
        width: 200px;
        margin: 0 0 0 -225px;
        display: inline-block;
    }


.emoji {
    font-size: 40px;
    display: block;
    margin-bottom: 15px;
}


.popup .image {
    width: 100%;
    height: 300px;
}









/************** MatrimoineHotelDeVille ***************/

#MatrimoineHotelDeVille {
    top: 50dvh;
    left: 55vw;
}
#MatrimoineHotelDeVille .icon{
    background: url(../img/icons/notre-matrimoine-hdv.png) no-repeat center / contain;
}

/************** MariedeGournay ***************/

#MariedeGournay {
    top: 35dvh;
    left: 54vw;
}
#MariedeGournay .icon{
    background: url(../img/icons/marie-de-gournay.png) no-repeat center / contain;
}

/************** BandeSonDeLHistoire ***************/

#BandeSonDeLHistoire {
    top: 23dvh;
    left: 54vw;
}
#BandeSonDeLHistoire .icon{
    background: url(../img/icons/bande-son-de-lhistoire.png) no-repeat center / contain;
}

/************** RuseDePierrette ***************/

#RuseDePierrette{
    top: calc(3dvh + 4vw);
    left: calc(95vw - 40px);
}

#RuseDePierrette .icon {
    background: url(../img/icons/ruse-de-pierrette.png) no-repeat center / contain;
}


/************** FemmageAMelBonis ***************/

#FemmageAMelBonis{
    top: 32dvh;
    left: 90vw;
}
#FemmageAMelBonis .icon{
    background: url(../img/icons/mel-bonis-amy-beach.png) no-repeat center / contain;
}



/************** AtelierCollage ***************/

#AtelierCollage{
    top: 28dvh;
    left: 84vw;
}
#AtelierCollage .icon{
    background: url(../img/icons/collage-matrimoine.png) no-repeat center / contain;
}

/************** Les pionnières du cinéma ***************/

#PionnieresDuCinema{
    top: 80dvh;
    left: 92vw;
}
#PionnieresDuCinema .icon{
    background: url(../img/icons/pionniere-cinema.png) no-repeat center / contain;
}


/************** MatrimoineATousLesArts ***************/

#MatrimoineATousLesArts {
    top: 8dvh;
    left: 7vw;
}

#MatrimoineATousLesArts .icon {
    background: url(../img/icons/matrimoine-tous-les-arts.png) no-repeat center / contain;
}


/************** Muable ***************/

#Muable{
    top: 64dvh;
    left: 50vw;
}
#Muable .icon{
    background: url(../img/icons/muable.png) no-repeat center / contain;
}

/************** EllesDuJazz ***************/

#EllesDuJazz{
    top: 55dvh;
    left: 46vw;
}
#EllesDuJazz .icon{
    background: url(../img/icons/les-elles-du-jazz.png) no-repeat center / contain;
}



/************** ValentineDeSaintPoint ***************/

#ValentineDeSaintPoint{
    top: 67dvh;
    left: 56vw;
}
#ValentineDeSaintPoint .icon{
    background: url(../img/icons/valentine-de-st-point.png) no-repeat center / contain;
}


/************** DeuxFacesDeLHistoire ***************/

#DeuxFacesDeLHistoire{
    top: 70dvh;
    left: 44vw;
}

#DeuxFacesDeLHistoire .icon{
    background: url(../img/icons/deux-faces-falguiere.png) no-repeat center / contain;
}



/************** FemmageaAnneSylvestre ***************/

#FemmageaAnneSylvestre{
    top: 82dvh;
    left: 41vw;
}
#FemmageaAnneSylvestre .icon{
    background: url(../img/icons/femmage-anne-sylvestre.png) no-repeat center / contain;
}

/************** Silence ***************/

#Silence{
    top: 85dvh;
    left: 54vw;
}
#Silence .icon{
    background: url(../img/icons/silence.png) no-repeat center / contain;
}

/************** Melpo ***************/

#Melpo{
    top: 88dvh;
    left: 48vw;
}
#Melpo .icon{
    background: url(../img/icons/melpo-chants.png) no-repeat center / contain;
}

/************** TreizeLunesTreizeSoeurs ***************/

#TreizeLunesTreizeSoeurs{
    top: 48dvh;
    left: 62vw;
}
#TreizeLunesTreizeSoeurs .icon{
    background: url(../img/icons/13-lunes-paris.png) no-repeat center / contain;
}

/************** MatrimoineDuRocknroll ***************/

#MatrimoineDuRocknroll{
    top: 56dvh;
    left: 68vw;
}
#MatrimoineDuRocknroll .icon{
    background: url(../img/icons/matrimoine-rock-n-roll.png) no-repeat center / contain;
}
#popupMatrimoineDuRocknroll .image{
    background: url(../img/rocknroll.jpg) no-repeat center / cover;
}

/************** TreizeLunesPourLesSoeursII ***************/

#TreizeLunesPourLesSoeursII{
    top: 90dvh;
    left: 4vw;
}

#TreizeLunesPourLesSoeursII .icon{
    background: url(../img/icons/13-lunes-idf.png) no-repeat center / contain;
}



/************** ReneeGailhoustet ***************/

#ReneeGailhoustet{
    top: 8dvh;
    left: 80vw;
}
#ReneeGailhoustet .icon{
    background: url(../img/icons/dans-les-pas-de-renee-gailhoustet.png) no-repeat center / contain;
}












/*** POPUP SYSTEM ****/

.overlay {
    position: fixed;
    z-index: 99;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    /*transition: all 0.5s ease-in-out;*/
    opacity: 0;
    visibility: hidden;
    display: block;
}
.overlay:target {
    visibility: visible;
    opacity: 1;
    display: block!important;
}
#popupPresentation{
    visibility: visible;
    opacity: 1;
    display: block;
}

#popupPresentation .popup .leftAlign {
    padding: 0 10px 10px 10px;
    max-width: 100%;
}
#popupPresentation p a{
    color: var(--rouge);
    font-family: 'lekton-bold';
}
#popupPresentation p a:hover{
    color: var(--rouge);
    border-bottom: 1px dashed var(--rouge);
}

.popup {
    max-height: 90vh;
    z-index: 2;
    top: 50%;
    margin: 0 auto;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    padding: 30px;
    width: 75%;
    max-width: 600px;
    background-color: #ffffff;
    position: relative;
    border-radius: 10px;
}
.popup #wrapper {
    display: flex;
}

.insta{
    width: 400px;
    margin: 0 auto;
    border: 5px solid rgba(219,219,219);
    background-color: white;
    border-radius: 15px;
}

.blackBG{
    background-color: black;
}
.blackBG iframe{
    border: none;
    background-color: black;
}

.popup h2 {
    margin-top: 25px;
    color: var(--rouge);
    font-size: 50px;
    font-family: 'staatliches';
    font-weight: normal;
    text-transform: uppercase;
}

.popup h4{
    color: var(--rouge);
    font-size: 40px;
    line-height: 0.8em;
    font-family: 'staatliches';
    font-weight: normal;
    text-transform: uppercase;
}

.popup h5{
    margin: 10px 0 0 0;
    padding: 4px 4px 3px 4px;
    font-size: 14px;
    line-height: 0.7em;
    font-family: 'lekton-bold';
    text-transform: uppercase;
    background-color: var(--jaune);
    display: inline-block;
}

.popup p{
    font-size: 12px;
}

.popup:hover .close {
    opacity: 1;
}

.popup .close {
    opacity: 0;
    padding: 5px;
    width: 20px;
    height: 20px;
    position: absolute;
    z-index: 1;
    top: 15px;
    right: 15px;
    font-size: 30px;
    font-weight: bold;
    text-decoration: none;
    color: #333;
    background: var(--blanc);
    text-align: center;
}

.popup .close:hover svg{
    fill: var(--rouge);
}

b{
    font-weight: 700;
}

.closeZone{
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 100%;
    background: #00000055;
    cursor: url(../img/close.png), auto;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter:  blur(5px);
}

.popup .content {
    text-align: left;
}
.half{
    vertical-align: bottom;
    margin: 2% 0;
    display: inline-block;
    max-width: 250px;
    width: 39%;
}
.half:first-child{
    border-right: 1px solid #ddd;
    padding-right: 5%;
}
.half:last-child{
    padding-left: 5%;
}
.leftAlign{
    max-width: 450px;
    margin: 0 auto;
    text-align: left;
    padding: 0 20px;
}
.mini{
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 11px!important;
    color: #999;
    font-style: italic;
}

.button, button{
    background-color: rgba(255,255,255,0);
    text-align: center;
    font-size: 14px;
    text-decoration: none;
    margin: 20px auto 0 auto;
    border: 2px solid var(--rouge);
    color: var(--rouge);
    display: block;
    font-family: 'lekton-bold';
    padding: 15px 10px;
}
.button:hover{
    border: 2px solid var(--rouge);
    background-color: var(--rouge);
    color: white;
}

.popup iframe{
    border-radius: 10px;
    width: 100%;
    height: 350px;
}




.avec{
    font-weight: 700;
    vertical-align: middle;
    margin-bottom: 15px;
    margin-top: 0;
}
.avec img, .avec .texte{
    display: inline-block;
    font-size: 10px;
    vertical-align: middle;
}
    .smallMobile{
        font-size: 1em;
        line-height: 1em;
    }











.mediumStage {
    transition: 0.1s;
    width: 100px;
    height: 100px;
    transform: translateX(-50px) translateY(-50px);
    position: fixed;
    z-index: 25;
}

.mediumStage:hover {
    transition: 0.1s;
    position: fixed;
    -webkit-filter: drop-shadow( 3px 3px 2px #0000004d);
    filter: drop-shadow( 3px 3px 2px #0000004d);
    z-index: 99!important;
    width: 120px!important;
    height: 120px!important;
    transform: translateX(-60px) translateY(-60px) rotate(-10deg)!important;
}


.mediumStage .icon {
    width: 100%;
    height: 100%;
}






.carousel {
  position: relative;
  width: 100%;
  overflow: hidden;
  margin-bottom: 5px;
}

.carousel-track-container {
  overflow: hidden;
  width: 100%;
  touch-action: pan-y; /* ← capture swipe horizontal */
  position: relative;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease;
  width: 100%;
  position: relative;
}

.carousel-slide {
  min-width: 100%;
  height: 35vh;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  position: relative; /* ← important pour iOS */
  flex-shrink: 0;
}


.carousel-prev,
.carousel-next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%) rotate(-3deg);
  /*background: var(--blanc);*/
  border: none;
  padding: 0.3em 0.4em;
  cursor: pointer;
  font-size: 1.2em;
  z-index: 10;
}
.carousel-prev svg,
.carousel-next svg {
    width: 20px;
}

.carousel-prev:hover,
.carousel-next:hover {
  color: var(--rouge);
}

.carousel-prev {
    fill: var(--blanc);
    left: 0;
}

.carousel-next {
    fill: var(--blanc);
    right: 0;
}

.carousel-prev:hover svg, .carousel-next:hover svg{
    fill: var(--rouge);
}








.copyright {
    width: 100%;
    margin-bottom: -20px;
    font-size: 9px;
    text-align: right;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    display: inline-block;
}





@media screen and (max-width: 780px) {

    #logo {
        width: 100%;
        height: 120px;
    }

    #map {
        background: #dad1e7 url(../img/map-mobile.svg) no-repeat center / cover;
    }

    .popup p {
        font-size: 14px;
    }
    .popup h5 {
        font-size: 18px;
    }

    .popup iframe{
        height: 240px;
    }
    .mini{
        font-size: 9px!important;
    }

    .half{
        max-width: 100%;
        width:100%;
    }
    .half:first-child{
        border-right: none;
        margin-bottom: 30px;
    }
    .half:first-child, .half:last-child{
        padding: 0;
    }
    .popup .close {
        opacity: 1;
    }
    #bottom{
    height: 130px;
    }
    .logoPartenaire{
        width: 50px;
        height: 40px;
    }
    .smallMobile{
        font-size: 0.8em!important;
        line-height: 1.2em!important;
    }

    #popupPresentation .popup {
        width: calc(90% - 60px);
    }




    .mediumStage {
        width: 80px;
        height: 80px;
        transform: translateX(-40px) translateY(-40px);
    }

    .mediumStage:hover {
        width: 100px!important;
        height: 100px!important;
        transform: translateX(-50px) translateY(-50px) rotate(-10deg)!important;
    }

    .button {
        padding: 10px 0;
        font-size: 12px;
    }
    .carousel-slide {
        height: 20vh;
    }
    .details, 
    .carousel-prev,
    .carousel-next {
        display: none;
    }





/* POSITIONS MOBILE */

/************** MatrimoineHotelDeVille ***************/

#MatrimoineHotelDeVille {
    top: 48dvh;
    left: 57vw;
}

/************** MariedeGournay ***************/

#MariedeGournay {
    top: 37dvh;
    left: 57vw;
}

/************** BandeSonDeLHistoire ***************/

#BandeSonDeLHistoire {
    top: 28dvh;
    left: 56vw;
}

/************** RuseDePierrette ***************/

#RuseDePierrette{
    top: calc(4dvh + 4vw);
    left: calc(95vw - 40px);
}

/************** FemmageAMelBonis ***************/

#FemmageAMelBonis{
    top: 25dvh;
    left: 88vw;
}

/************** AtelierCollage ***************/

#AtelierCollage{
    top: 18dvh;
    left: 84vw;
}

/************** Les pionnières du cinéma ***************/

#PionnieresDuCinema{
    top: 80dvh;
    left: 88vw;
}

/************** MatrimoineATousLesArts ***************/

#MatrimoineATousLesArts {
    top: 8dvh;
    left: 15vw;
}

/************** Muable ***************/

#Muable{
    top: 62dvh;
    left: 48vw;
}

/************** EllesDuJazz ***************/

#EllesDuJazz{
    top: 50dvh;
    left: 35vw;
}


/************** ValentineDeSaintPoint ***************/

#ValentineDeSaintPoint{
    top: 59dvh;
    left: 65vw;
}


/************** DeuxFacesDeLHistoire ***************/

#DeuxFacesDeLHistoire{
    top: 60dvh;
    left: 28vw;
}



/************** FemmageaAnneSylvestre ***************/

#FemmageaAnneSylvestre{
    top: 70dvh;
    left: 35vw;
}

/************** Silence ***************/

#Silence{
    top: 70dvh;
    left: 66vw;
}
/************** Melpo ***************/

#Melpo{
    top: 76dvh;
    left: 51vw;
}

/************** TreizeLunesTreizeSoeurs ***************/

#TreizeLunesTreizeSoeurs{
    top: 47dvh;
    left: 74vw;
}

/************** MatrimoineDuRocknroll ***************/

#MatrimoineDuRocknroll{
    top: 53dvh;
    left: 85vw;
}

/************** TreizeLunesPourLesSoeursII ***************/

#TreizeLunesPourLesSoeursII{
    top: 86dvh;
    left: 10vw;
}



/************** ReneeGailhoustet ***************/

#ReneeGailhoustet{
    top: 8dvh;
    left: 65vw;
}



}